in scala.collection.immutable.ListMap
class Node

[scala.serializable]
`protected class` Node
  `extends` scala.collection.immutable.ListMap[A, B]
  `with` scala.ScalaObject

Constructor Summary
| `def` this (key: A, value: B)

Val Summary
`override` `protected` | `val` key : A
`override` `protected` | `val` value : B

Def Summary
`override` | `def` - (k: A) : scala.collection.immutable.ListMap[A, B] This creates a new mapping without the given `key`. If the map does not contain a mapping for the given key, the method returns the same map.
`override` | `def` apply (k: A) : B Retrieve the value which is associated with the given key. This method throws an exception if there is no mapping from the given key to a value.
`override` | `def` get (k: A) : scala.Option[B] Check if this map maps `key` to a value and return the value if it exists.
`override` | `def` hashCode : scala.Int
`override` | `def` isEmpty : scala.Boolean Is this an empty map?
`override` `protected` | `def` next : scala.collection.immutable.ListMap[A, B]
`override` | `def` size : scala.Int Returns the number of mappings in this map.
`override` | `def` update (k: A, v: B) : scala.collection.immutable.ListMap[A, B] This method allows one to create a new map with an additional mapping from `key` to `value`. If the map contains already a mapping for `key`, it will be overridden by this function.

Constructor Detail

`def` this (key: A, value: B)

Val Detail

`override protected val` key : A

`override protected val` value : B

Def Detail

`override def` - (k: A): scala.collection.immutable.ListMap[A, B]

  This creates a new mapping without the given `key`. If the map does not contain a mapping for the given key, the method returns the same map.

`override def` apply (k: A): B

  Retrieve the value which is associated with the given key. This method throws an exception if there is no mapping from the given key to a value.

Parameters:
  `key -` the key
Returns:
  the value associated with the given key.

`override def` get (k: A): scala.Option[B]

  Check if this map maps `key` to a value and return the value if it exists.

Parameters:
  `key -` the key of the mapping of interest
Returns:
  the value of the mapping, if it exists

`override def` hashCode : scala.Int

`override def` isEmpty : scala.Boolean

  Is this an empty map?

Returns:
  true, iff the map is empty.

`override protected def` next : scala.collection.immutable.ListMap[A, B]

`override def` size : scala.Int

  Returns the number of mappings in this map.

Returns:
  number of mappings.

`override def` update (k: A, v: B): scala.collection.immutable.ListMap[A, B]

  This method allows one to create a new map with an additional mapping from `key` to `value`. If the map contains already a mapping for `key`, it will be overridden by this function.

Parameters:
  `k -` ...
Parameters:
  `v -` ...